NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Properties | List of all members
NXOpen.Facet.ExtrudeProfileBuilder Class Reference

Represents a NXOpen.Facet.ExtrudeProfileBuilder It extrudes 3D closed profile between planes. More...

Inheritance diagram for NXOpen.Facet.ExtrudeProfileBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Properties

unsafe NXOpen.Direction Direction [get, set]
 Returns or sets the extrude direction More...
 
unsafe NXOpen.Expression FirstDistance [get]
 Returns the first distance to extrude More...
 
unsafe NXOpen.Expression Offset [get]
 Returns the offset used to offset the extruded body More...
 
unsafe NXOpen.Section Profile [get]
 Returns the 3D profile to be extruded More...
 
unsafe NXOpen.Expression SecondDistance [get]
 Returns the second distance to extrude More...
 
unsafe NXOpen.Expression Tolerance [get]
 Returns the tolerance used to create the polyline More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Facet.ExtrudeProfileBuilder It extrudes 3D closed profile between planes.

The two planes are defined by direction and distance. It returns the extruded NX Facet Body.

To create a new instance of this class, use NXOpen.Facet.FacetedBodyCollection.CreateExtrudeProfileBuilder

Default values.

Property Value

FirstDistance.Value

0 (millimeters part), 0 (inches part)

Offset.Value

0 (millimeters part), 0 (inches part)

SecondDistance.Value

0 (millimeters part), 0 (inches part)

Tolerance.Value

0.01 (millimeters part), 0.001 (inches part)

Created in NX9.0.0

Property Documentation

unsafe NXOpen.Direction NXOpen.Facet.ExtrudeProfileBuilder.Direction
getset

Returns or sets the extrude direction

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM") OR die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Expression NXOpen.Facet.ExtrudeProfileBuilder.FirstDistance
get

Returns the first distance to extrude

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Facet.ExtrudeProfileBuilder.Offset
get

Returns the offset used to offset the extruded body

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Facet.ExtrudeProfileBuilder.Profile
get

Returns the 3D profile to be extruded

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Facet.ExtrudeProfileBuilder.SecondDistance
get

Returns the second distance to extrude

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Facet.ExtrudeProfileBuilder.Tolerance
get

Returns the tolerance used to create the polyline

Created in NX9.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.